// pages/sgin/sgin.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "用户登录", //标题
      back: true,//返回按钮，tabber必须false（除非会改）
    })
  },
  // 微信快捷登录
  fun_wx (e) {
    let { encryptedData, iv } = e.detail, { appid, user, axios } = app.globalData, { openid } = user;
    function sgin () {
      return new Promise((resolve, reject) => {
        axios({
          url: "/account/wxbind/",
          data: {
            appid, openid, encryptedData, iv
          },
          method: "post",
          success (res) {
            let { data } = res.data;
            let { user } = app.globalData;
            user = {
              ...user,
              lock: !!data.token,
              ...data,
            }
            app.globalData = { ...app.globalData, user };
            wx.setStorage({
              data: 'JWT ' + data.token,
              key: 'token',
            })
            resolve()
          }
        })
      })
    }
    sgin().then(res => {
      wx.navigateBack({
        delta: 1, // 回退前 delta(默认为1) 页面
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})