// pages/adddata/adddata.js
const app = getApp();
const { axios } = app.globalData;
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  // 请求管理数据
  AdddataRequest () {
    let that = this;
    axios({
      url: "/option/student/", method: 'get', success (res) {
        let { data } = res.data, datalist = [];
        data.forEach(item => {
          let { classes, name, gender, id } = item;
          datalist.push({
            id,
            name,
            tel: gender == 1 ? '女' : "男",
            gender,
            grade: [item.school_text, item.grade_text, item.classes_text],
            address: [item.school_text, item.grade_text, item.classes_text].join(" "),
            classes,
          })
        })
        that.setData({
          datalist
        })
        wx.stopPullDownRefresh();
      }
    })
  },
  // 新增
  Add () {
    wx.navigateTo({
      url: '/pages/addinput/addinput',
    })
  },
  // 返回支付页面
  Back (e) {
    let { source } = this.data;
    if (source != "pay" && source != "leaveadd") return false;
    let { item } = e.currentTarget.dataset;
    app.globalData.useraddress = item;
    wx.navigateBack({
      delta: 1, // 回退前 delta(默认为1) 页面
    })
  },
  // 修改
  Update (e) {
    let { item } = e.currentTarget.dataset;
    wx.navigateTo({
      url: `/pages/addinput/addinput?data=${JSON.stringify({ updata: item })}`,
    })
  },
  // 删除
  Del (e) {
    let { index } = e.currentTarget.dataset, { datalist } = this.data, that = this;
    axios({
      method: 'delete',
      url: `/option/student/${datalist[index]["id"]}/`,
      success (res) {
        datalist.splice(index, 1);
        that.setData({
          datalist
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "学生管理", //标题
      back: true,//返回按钮，tabber必须false（除非会改）
    });
    let { data } = options;
    if (!!data) {
      data = JSON.parse(data);
      this.setData({
        ...data
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.AdddataRequest();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

    this.AdddataRequest();
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})